std::experimental::filesystem::v1::path::iterator Class Reference
Technical Specifications » Filesystem TS

`#include <fs_path.h>`

## Public Types

using | difference_type
using | iterator_category
using | pointer
using | reference
using | value_type

## Public Member Functions

| iterator (const iterator &)=default
reference | operator* () const noexcept
iterator & | operator++ () noexcept
iterator | operator++ (int) noexcept
iterator & | operator-- () noexcept
iterator | operator-- (int) noexcept
pointer | operator-> () const noexcept
iterator & | operator= (const iterator &)=default

## Friends

bool | operator!= (const iterator &__lhs, const iterator &__rhs) noexcept
bool | operator== (const iterator &__lhs, const iterator &__rhs) noexcept
class | path

## Detailed Description

An iterator for the components of a path.

Definition at line 880 of file experimental/bits/fs_path.h.

## Member Typedef Documentation

## difference_type

using std::experimental::filesystem::v1::path::iterator::difference_type

Definition at line 883 of file experimental/bits/fs_path.h.

## iterator_category

using std::experimental::filesystem::v1::path::iterator::iterator_category

Definition at line 887 of file experimental/bits/fs_path.h.

## pointer

using std::experimental::filesystem::v1::path::iterator::pointer

Definition at line 886 of file experimental/bits/fs_path.h.

## reference

using std::experimental::filesystem::v1::path::iterator::reference

Definition at line 885 of file experimental/bits/fs_path.h.

## value_type

using std::experimental::filesystem::v1::path::iterator::value_type

Definition at line 884 of file experimental/bits/fs_path.h.

## Constructor & Destructor Documentation

## iterator()

std::experimental::filesystem::v1::path::iterator::iterator | ( |  | ) |

inline noexcept

Definition at line 889 of file experimental/bits/fs_path.h.

## Member Function Documentation

## operator++()

iterator std::experimental::filesystem::v1::path::iterator::operator++ | ( | int |  | ) |

inline noexcept

Definition at line 899 of file experimental/bits/fs_path.h.

## operator--()

iterator std::experimental::filesystem::v1::path::iterator::operator-- | ( | int |  | ) |

inline noexcept

Definition at line 904 of file experimental/bits/fs_path.h.

## operator->()

pointer std::experimental::filesystem::v1::path::iterator::operator-> | ( |  | ) | const

inline noexcept

Definition at line 895 of file experimental/bits/fs_path.h.

## Friends And Related Symbol Documentation

## operator!=

bool operator!= | ( | const iterator & | __lhs,
|  | const iterator & | __rhs )

friend

Definition at line 912 of file experimental/bits/fs_path.h.

## operator==

bool operator== | ( | const iterator & | __lhs,
|  | const iterator & | __rhs )

friend

Definition at line 908 of file experimental/bits/fs_path.h.

## path

friend class path

friend

Definition at line 916 of file experimental/bits/fs_path.h.

The documentation for this class was generated from the following file:

- experimental/bits/fs_path.h